# PluginSettings
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.settings

## Class PluginSettings

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.settings.PluginSettings

    public class PluginSettings
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PluginSettings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initiate()` Initiate the config on first run
`void` `load()` Load the settings
`void` `update()` Update config files
`void` `updateLocale()` Update the locale files

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PluginSettings

    public PluginSettings()

### Method Detail

#### load

    public void load()

Load the settings

#### initiate

    public void initiate()

Initiate the config on first run

#### updateLocale

    public void updateLocale()

Update the locale files

#### update

    public void update()

Update config files